Subject: Re: bug#28258: 26.0.50; [PATCH] Let file-name-base succeed when buffer-file-name is nil

From: Glenn Morris <[email-masked]>
Date: Tue, 29 Aug 2017 13:02:31 -0400

Mohammed Sadiq wrote:

>> IIUC: file-name-base currently errors when called with no applicable
>> file name, and you want it to instead return nil? This seems rather
>> unusual for an Emacs file-related function. I would have thought this
>> unlikely to be applied, but maybe you could explain why you want it?
>
> The signature of `file-name-base' is (file-name-base &optional FILENAME).
> That is, the FILENAME argument is optional. So I believe it shouldn't
> be an error to not give the optional argument. And so calling the function
> in a buffer with no file associated shouldn't be an error. I'm not sure
> if my assertion is right.

Thanks for explaining. I don't think I agree, but then the fact that the
argument is optional and defaults to buffer-file-name also seems
atypical to me (eg I don't think any other file-name- functions behaves
like that). Let's wait and see if anyone else feels strongly one way or
the other.